<?php
	session_start();
	$nom = $_SESSION['nom_admin'];
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Nuevo proveedor</title>
		<link rel="stylesheet" type="text/css" href="./css/prueba.css">
		<script src="./js/jquery.min.js"></script>
        <script type="text/javascript" src="./js/script.js"></script>
<!--        <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Open+Sans">-->
        <?php
        	require ("./Funciones/funciones.php");
			$id = $_GET['id'];

			$conexion = conecta();

			$sqla= mysqli_query($conexion,"SELECT * FROM Proveedor where IdProveedor ='$id' AND activo='1' and eliminado='0'");
			$prov =mysqli_fetch_array($sqla);
			
			$nombre = $prov['Nombre'];
			$rs = $prov['RazonSocial'];
			$rfc = $prov['RFC'];
			$dir = $prov['Direccion'];
			$cel = $prov['Celular'];
			$tel =$prov['Telefono'];
			$com = $prov['Comentarios'];
			

			
        ?>
        <script type="text/javascript">
        	function formulario(f) { 
				if (f.nombre.value   == '') { alert ('El nombre esta vacio');  
				f.nombre.focus(); return false; } 
				/*if (f.descripcion.value   == '') { alert ('La descripcion esta vacio');  
				f.descripcion.focus(); return false; }*/ 
				if (f.codigo.value  == '') { alert ('El codigo esta vacio'); 
				f.codigo.focus(); return false; } 
				/*if (f.opc.value  == 0) { alert ('Debes seleccionar una categoria'); 
				f.opc.focus(); return false; }*/
				if (f.stock.value  == '') { alert ('Stock vacio'); 
				f.stock.focus(); return false; }
				if (f.precio.value  == '') { alert ('Precio vacio'); 
				f.precio.focus(); return false; }
			}
        </script>
	</head>
	<body>

		<?php include('menu.php');?>
<div id="section" align="center">
</br>

<table border="0">
	<tr>
		<td colspan="3" align="center"> Agregar un nuevo proveedor</td>
	</tr>
	
	<tr><td><td><input type="text" id="idprov" value="<?php echo $id ?>" hidden></td></td></tr>
	<tr>

		<td>Nombre:</td>
		<td><input type="text" id="nombre" name="nombre" placeholder="Nombre*" value="<?php echo $nombre ?>"></td>
	</tr>
	<tr>
		<td>Razon Social:</td>
		<td><input type="text" id="rs" name="nombre" placeholder="Razon social" value="<?php echo $rs ?>"></td>
	</tr>
	<tr>
		<td>RFC:</td>
		<td><input type="text" id="rfc" maxlength="13" name="RFC" onBlur="codigocheckrfc(this);" placeholder="RFC" value="<?php echo $rfc ?>"></td>
	</tr>
	<tr>
		<td>Direccion:</td>
		<td><input type="text" id="dir" name="nombre" placeholder="Direccion" value="<?php echo $dir ?>"></td>
	</tr>
	<tr>
		<td>Telefono:</td>
		<td><input type="text" id="tel" name="nombre" placeholder="Telefono" value="<?php echo $tel ?>"></td>
	</tr>
	<tr>
		<td>Celular:</td>
		<td><input type="text" id="cel" name="nombre" placeholder="Celular" value="<?php echo $cel ?>"></td>
	</tr>
	<tr>
		<td>Comentarios:</td>
		<td><input type="text" id="com" name="nombre" placeholder="Nombre" value="<?php echo $com ?>"></td>
	</tr>
	

	
	<tr><td><br></td></tr>
	<tr>
		<?php if($id == ''){?>
		<td><button id="Guardp" class="boton">Guardar</button></td>
		<?php }else{?>
		<td><button id="Actualizarp" class="boton">Actualizar</button></td>
			<?php } ?>
	</tr>
</table>
<div id="mensaje"></div>
</div>
		<?php
		/*<div id="form" align="center">
			<h2>Agregar un nuevo insumo</h2>
			<form method="post" action="productos_salvar.php?id=<?php echo "$id";?>" onsubmit="return formulario(this);" enctype="multipart/form-data">
				<input type="text" id="nombre" name="nombre" placeholder="Nombre*" value="<?php echo "$nombre";?>"></br>
				<input type="text" id="codigo" name="codigo" onBlur="codigocheck(this);" placeholder="Codigo*" value="<?php echo "$codigo";?>"></br>
				
				<?php

				echo "<select name=\"opc\" id=\"cats\">
            				<option value=\"0\" selected>Selecciona proveedor*</option>";
            		for($i=0;$i<$numa;$i++){
            			
            			$idcat = mysql_result($resa, $i,"IdCategoria");
            			$cat = mysql_result($resa, $i,"Descripcion");
            			
            			if($categoria == $idcat){
            				echo "<option value=\"$idcat\" selected>$cat</option>";
            			}else{
            			echo "<option value=\"$idcat\">$cat</option>";
            			}

            		}
            		
				echo "</select></br>";

				if($id==''){
					echo "<input type=\"text\" id=\"descripcion\" name=\"descripcion\" placeholder=\"Descripcion\"  ></br>";			
					echo "<input type=\"text\" id=\"preciov\" name=\"preciov\" placeholder=\"Precio*\"  ></br>";
					echo "<input type=\"text\" id=\"stock\" name=\"stock\" placeholder=\"Stock*\"  ></br>";
					/*echo "<select name=\"destacado\" id=\"dest\">
						<option value =\"0\"> Es destacado?</option>";
						if($destacado != 0){
							if($destacado == 0){
								echo "<option value =\"1\" selected> No</option>";
							}elseif($destacado == 1){
								echo "<option value =\"2\" selected> Si</option>";
							}
						}else{
							echo "<option value =\"1\"> No</option>
						<option value =\"2\"> Si</option>";
						}

						
						echo "</select></br>";
					?>
					<input type="text" id="estante" name="ubicacion" placeholder="Estante*" ></br>
					<input type="text" id="fila" name="ubicacion" placeholder="Fila*" ></br>
					<input type="text" id="columna" name="ubicacion" placeholder="Columna*" ></br>
					<?php
					echo "<input type=\"file\" id=\"upimg\" name=\"imagen\" placeholder=\"Imagen\"></br>"; 

					echo "<input type=\"Submit\" class=\"boton\" name=\"enviar\" id=\"Guard\" value=\"Guardar\">";
					
				}
				else{
					echo "<input type=\"text\" id=\"descripcion\" name=\"descripcion\" placeholder=\"Descripcion\"  value=\"$descripcion\"></br>";
					echo "<input type=\"text\" id=\"preciov\" name=\"preciov\" placeholder=\"Precio*\"  value=\"$precio\"></br>";
					echo "<input type=\"text\" id=\"stock\" name=\"stock\" placeholder=\"Stock*\"  value=\"$stock\"></br>"; 
					/*echo "<select name=\"destacado\" id=\"dest\">
						<option value =\"0\"> Es destacado?</option>";
						
							if($destacado == 0){
								echo "<option value =\"1\" selected> No</option>";
								echo "<option value =\"2\"> Si</option>";
							}elseif($destacado == 1){
								echo "<option value =\"1\"> No</option>";
								echo "<option value =\"2\" selected> Si</option>";
							}
							else{
							echo "<option value =\"1\"> No</option>
								<option value =\"2\"> Si</option>";
							}

						
						echo "</select></br>";
					echo "<input type=\"file\" id=\"upimg\" name=\"imagen\" placeholder=\"Imagen\" value=\"$imagen\"></br>"; 
					?>
					<input type="text" id="estante" name="ubicacion" placeholder="Estante*" ></br>
					<input type="text" id="fila" name="ubicacion" placeholder="Fila*" ></br>
					<input type="text" id="columna" name="ubicacion" placeholder="Columna*" ></br>
					<?php
					echo "<input type=\"Submit\" id=\"Guard\" class=\"boton\" name=\"enviar\" value=\"Actualizar\">";

				}
				*/?>
		    </form>
		</br></br></br>
		    <a href="insumos_lista.php">Regresar al listado</a>
		</div>
				<div id="footer" align="center">
            <p>Cuadropolis 2016-2017</p>
        </div>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
	</body>
</html>